Bug 194340 - Unable to find module None in /proc/asound/modules!
Unable to find module None in /proc/asound/modules!
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-soundcard (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-07 09:19 EDT by Radek Vokal
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-30 09:32:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
system-config-sound_position.patch (497 bytes, patch)
2006-06-07 10:29 EDT, Radek Vokal
no flags Details | Diff

  None (edit)
Description Radek Vokal 2006-06-07 09:19:03 EDT
Description of problem:
when starting system-config-soundcard I get error message saying

Unable to find module None in /proc/asound/modules!


Version-Release number of selected component (if applicable):
system-config-soundcard-1.2.17-6


How reproducible:
always on my system

Steps to Reproduce:
1. start system-config-soundcard
2.
3.
  
Actual results:
Unable to find module None in /proc/asound/modules!

Expected results:


Additional info:

# cat /root/scsound.log
/usr/share/system-config-soundcard/soundcard.py:225: GtkWarning:
gtk_label_set_label: assertion `str != NULL' failed
  self.module_label2 = gtk.Label(_(self.module))
/usr/share/system-config-soundcard/soundcard.py:281: DeprecationWarning: use
gtk.ComboBox
  self.primarySubDeviceOptionMenu = gtk.OptionMenu()
/usr/share/system-config-soundcard/soundcard.py:316: GtkDeprecationWarning:
gtk.timeout_add is deprecated, use gobject.timeout_add instead
  self.timer = gtk.timeout_add (100, self.checkStatus, self)
Read config:
card 0
device 0
HW 0
Running from command-line...
/usr/share/system-config-soundcard/soundcard.py:225: GtkWarning:
gtk_label_set_label: assertion `str != NULL' failed
  self.module_label2 = gtk.Label(_(self.module))
/usr/share/system-config-soundcard/soundcard.py:281: DeprecationWarning: use
gtk.ComboBox
  self.primarySubDeviceOptionMenu = gtk.OptionMenu()
/usr/share/system-config-soundcard/soundcard.py:316: GtkDeprecationWarning:
gtk.timeout_add is deprecated, use gobject.timeout_add instead
  self.timer = gtk.timeout_add (100, self.checkStatus, self)
Read config:
card 0
device 0
HW 0
Running from command-line...
/usr/share/system-config-soundcard/soundcard.py:225: GtkWarning:
gtk_label_set_label: assertion `str != NULL' failed
  self.module_label2 = gtk.Label(_(self.module))
/usr/share/system-config-soundcard/soundcard.py:281: DeprecationWarning: use
gtk.ComboBox
  self.primarySubDeviceOptionMenu = gtk.OptionMenu()
/usr/share/system-config-soundcard/soundcard.py:316: GtkDeprecationWarning:
gtk.timeout_add is deprecated, use gobject.timeout_add instead
  self.timer = gtk.timeout_add (100, self.checkStatus, self)
Read config:
card 0
device 0
HW 0
Running from command-line...
Comment 1 Radek Vokal 2006-06-07 10:29:31 EDT
Created attachment 130680 [details]
system-config-sound_position.patch

Quick and dirty patch to fix this.

Note You need to log in before you can comment on or make changes to this bug.